sK1 Project :: OpenSource Solutions for Prepress
View Thread
 Print Thread
ubuntu 11.04
segalbeniz
#1 Print Post
Posted on 14-05-2011 18:36
Member

Posts: 1
Joined: 14.05.11

Actualice a Ubuntu v11.04 y SK1 no funciona.
 
alanhorkan
#2 Print Post
Posted on 19-05-2011 16:42
Member

Posts: 5
Joined: 19.05.11

I tried it too.

I installed sk1 libs, sk1 sdk, and then sk1
(The installer made many complaints about the packages and advised not to install them but I went ahead anyway)
All seemed to install.

I opened a console terminal window and ran the command
sk1
and got the following error
Tracebacke (most recent call last):
File "/usr/bin/sk1", line 22, in module
from sk1 import sk1_run
ImportError: No module name sk1
 
alanhorkan
#3 Print Post
Posted on 19-05-2011 17:12
Member

Posts: 5
Joined: 19.05.11

I saw another user was able to get skencil running on Ubuntu 11.04 (Natty Narwhal) and had almost the same error I got. He fixed it by creatinga soft link (the command: "ln -s") because skencil was looking for files in the wrong place (expecting an older version of python).
http://sk1project.org/forum/viewthread.php?thread_id=251

so I tried something similar:
sudo ln -s /usr/lib/python2.6/dist-packages/sk1 /usr/lib/python2.7/dist-packages/

Still doesn't work yet but I'm getting a more interesting error message, and it at least feels like I'm closer to getting it to work.

I might just checkout the code from Subversion and try running that instead.
Edited by alanhorkan on 20-05-2011 01:40
 
alanhorkan
#4 Print Post
Posted on 19-05-2011 17:18
Member

Posts: 5
Joined: 19.05.11

Next I tried adding another link to help sk1 find the sk1libs:
sudo ln -s /usr/lib/python2.6/dist-packages/sk1libs /usr/lib/python2.7/dist-packages/

but now it seem to be missing things from sk1sdk. Don't have time to look into it any further at the moment. If anyone gets Sk1 running on Ubuntu 11.04 either by installling packages or by installing from source please add a comment.
 
gnwiii
#5 Print Post
Posted on 21-05-2011 18:24
Member

Posts: 1
Joined: 21.05.11

Try editing /usr/bin/sk1 to use python2.6
 
igor
#6 Print Post
Posted on 22-05-2011 06:04
User Avatar

Super Administrator

Posts: 220
Joined: 09.02.09

Hi all!

It seems the best way is just repackaging application. We are going to update sK1 packages in nearest days so just waiting for announce.
Regards,

Igor Novikov
sK1 Project
 
alanhorkan
#7 Print Post
Posted on 04-06-2011 17:00
Member

Posts: 5
Joined: 19.05.11

Tried building from SVN instead

sk1 requires at least tcl/tk 8.5 and Ubuntu 11.04 only offers tcl/tk 8.4 packages

I'd like to try sk1 but I will have to wait until packages for 11.04 become available.
 
jannypan
#8 Print Post
Posted on 10-06-2011 02:03
Member

Posts: 1
Joined: 10.06.11

I might just checkout the code from Subversion and try running that instead.
Edited by igor on 11-06-2011 10:31
 
Joczolis
#9 Print Post
Posted on 29-06-2011 04:58
User Avatar

Member

Posts: 2
Joined: 16.06.11

Hello.
I really want to try this and step away from piracy, best choise ever is this one, I'm Graphic designer, but have little idea about sistems and programming, and I'm ubuntu Noob, I think I'm not going back to Windows, I love Linux, Cheers and regards! By the way, if there's something I can do for helping, I'll do it gladly.
Edited by Joczolis on 29-06-2011 05:42
 
bullgr
#10 Print Post
Posted on 21-07-2011 09:45
Member

Posts: 2
Joined: 21.07.11

I found the solution... It works on ubuntu 11.04
http://sk1project.org/forum/viewthread.php?thread_id=251&pid=804#post_804
 
jnmann
#11 Print Post
Posted on 26-07-2011 22:43
Member

Posts: 4
Joined: 26.07.11

igor wrote:
Hi all!

It seems the best way is just repackaging application. We are going to update sK1 packages in nearest days so just waiting for announce.


Has this been re-packaged yet? :-)
 
Victor
#12 Print Post
Posted on 28-07-2011 16:25
User Avatar

Member

Posts: 24
Joined: 13.05.09

What if add the .deb package creation as an __install.py option, or use the autonf somehow to avoid the paths hard-coding?
 
Joczolis
#13 Print Post
Posted on 30-07-2011 15:19
User Avatar

Member

Posts: 2
Joined: 16.06.11

bullgr wrote:
I found the solution... It works on ubuntu 11.04
http://sk1project.org/forum/viewthread.php?thread_id=251&pid=804#post_804


Have you tried it? Does it really works?
 
john0
#14 Print Post
Posted on 03-08-2011 01:55
Member

Posts: 2
Joined: 03.08.11

The instructions in the thread linked above almost worked for me for Ubuntu 11.04:

To get skencil working, I used
Download source  Code
sudo ln -s /usr/lib/python2.6/dist-packages/skencil /usr/lib/python2.7/dist-packages/





To get sk1 working I used
Download source  Code
sudo ln -s /usr/lib/python2.6/dist-packages/sk1 /usr/lib/python2.7/dist-packages/
sudo ln -s /usr/lib/python2.6/dist-packages/sk1libs /usr/lib/python2.7/dist-packages/
sudo ln -s /usr/lib/python2.6/dist-packages/sk1sdk /usr/lib/python2.7/dist-packages/



 
igor
#15 Print Post
Posted on 05-08-2011 08:54
User Avatar

Super Administrator

Posts: 220
Joined: 09.02.09

Hi all!

The best way is using packages specially compiled for Ubuntu 11.04
You can fetch the files on sK1 Download Page
Regards,

Igor Novikov
sK1 Project
 
Jump to Forum: